Docs
Announcements

List announcements

GET/announcementsNeedscontent.view

Every announcement in the workspace, newest first, with its publish state.

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Response Body

OK

application/json
  1. response
announcements*array<>
Shell
curl -X GET 'https://app.cueston.com/api/announcements'
Example Response
JSON
{
  "announcements": [
    {
      "id": 42,
      "name": "Onboarding tour",
      "urlPattern": "https://app.acme.com/*",
      "isActive": true,
      "createdAt": "2026-10-26T09:30:00Z",
      "updatedAt": "2026-10-26T09:30:00Z",
      "publication": {
        "production": {
          "versionId": 7,
          "version": 3,
          "publishedAt": "2026-10-26T09:30:00Z"
        },
        "staging": {
          "versionId": 7,
          "version": 3,
          "publishedAt": "2026-10-26T09:30:00Z"
        }
      },
      "hasUnpublishedChanges": true
    }
  ]
}